Bug 861983 - winbindd not allowed to read files in /usr/share/samba/codepages/
winbindd not allowed to read files in /usr/share/samba/codepages/
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 09:57 EDT by David Juran
Modified: 2012-10-16 11:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 11:05:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2012-10-01 09:57:15 EDT
Description of problem:
While testing IPA AD trust feature, I received the following AVC:

time->Mon Oct  1 15:28:59 2012
type=SYSCALL msg=audit(1349098139.945:126): arch=c000003e syscall=2 success=no exit=-13 a0=8294c0 a1=0 a2=0 a3=76 items=0 ppid=1 pid=1864 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="winbindd" exe="/usr/sbin/winbindd" subj=system_u:system_r:winbind_t:s0 key=(null)
type=AVC msg=audit(1349098139.945:126): avc:  denied  { read } for  pid=1864 comm="winbindd" name="upcase.dat" dev="dm-1" ino=1842938 scontext=system_u:system_r:winbind_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file


Version-Release number of selected component (if applicable):
selinux-policy-3.10.0-149.fc17.noarch
samba4-4.0.0-139.fc17.rc1 (from the IPA devel repo)

Steps to Reproduce:
1. Follow the steps outlined in http://freeipa.org/page/IPAv3_testing_AD_trust

Additional info:
The IPA devel repo (http://freeipa.org/downloads/freeipa-devel.repo) is enabled
Comment 1 Miroslav Grepl 2012-10-02 05:20:48 EDT
We allow it in F18. Added to F17.
Comment 2 Fedora Update System 2012-10-08 10:06:22 EDT
selinux-policy-3.10.0-153.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-153.fc17
Comment 3 Fedora Update System 2012-10-08 17:57:26 EDT
Package selinux-policy-3.10.0-153.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-153.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15652/selinux-policy-3.10.0-153.fc17
then log in and leave karma (feedback).
Comment 4 David Juran 2012-10-16 11:05:00 EDT
selinux-policy-3.10.0-153.fc17 solves the problem, thanks for the help (-:

Note You need to log in before you can comment on or make changes to this bug.